Bug 221653 - notebook lid open event is not reported by acpid
notebook lid open event is not reported by acpid
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-05 16:25 EST by Maxim Yegorushkin
Modified: 2008-05-06 13:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:18:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Maxim Yegorushkin 2007-01-05 16:25:24 EST
Description of problem:
acpid reports laptop lid close event. lid open event is not reported.
/proc/acpi/button/lid/LID/state does show actual state of lid (open/closed)

Version-Release number of selected component (if applicable):
$ cat /proc/version 
Linux version 2.6.18-1.2257.fc5 (brewbuilder@ls20-bc1-14.build.redhat.com) (gcc
version 4.1.1 20060525 (Red Hat 4.1.1-1)) #1 Fri Dec 15 16:06:24 EST 2006

How reproducible:
always

Steps to Reproduce:
1. run tail -f /var/log/acpid in one terminal
2. run while true; do date; cat /proc/acpi/button/lid/LID/state; sleep 1; done
3. close the lid and open it back
  
Actual results:
first command shows only lid close event. the second shows the actual states of
the lid.

Expected results:
first command should show two events, one for close and one for open.

Additional info:

<in one terminal>
$ sudo tail -f /var/log/acpid 
[Fri Jan  5 21:08:05 2007] received event "button/lid LID 00000080 00000001"
[Fri Jan  5 21:08:05 2007] notifying client 2154[68:68]
[Fri Jan  5 21:08:05 2007] executing action "/etc/acpi/actions/lm_lid.sh
button/lid LID 00000080 00000001"
[Fri Jan  5 21:08:05 2007] BEGIN HANDLER MESSAGES
[Fri Jan  5 21:08:06 2007] END HANDLER MESSAGES
[Fri Jan  5 21:08:06 2007] action exited with status 0
[Fri Jan  5 21:08:06 2007] completed event "button/lid LID 00000080 00000001"

<in another terminal at the same time>
$ while true; do date; cat /proc/acpi/button/lid/LID/state; sleep 1; done
Fri Jan  5 21:10:30 GMT 2007
state:      open
Fri Jan  5 21:10:31 GMT 2007
state:      open
Fri Jan  5 21:10:32 GMT 2007
state:      closed
Fri Jan  5 21:10:33 GMT 2007
state:      closed
Fri Jan  5 21:10:34 GMT 2007
state:      closed
Fri Jan  5 21:10:35 GMT 2007
state:      closed
Fri Jan  5 21:10:36 GMT 2007
state:      open
Fri Jan  5 21:10:37 GMT 2007
state:      open
Fri Jan  5 21:10:38 GMT 2007
state:      open
Comment 1 Maxim Yegorushkin 2007-01-05 16:28:30 EST
sorry, timestamps in the first command output are wrong, correction:

[Fri Jan  5 21:10:31 2007] received event "button/lid LID 00000080 00000003"
[Fri Jan  5 21:10:31 2007] notifying client 2154[68:68]
[Fri Jan  5 21:10:31 2007] executing action "/etc/acpi/actions/lm_lid.sh
button/lid LID 00000080 00000003"
[Fri Jan  5 21:10:31 2007] BEGIN HANDLER MESSAGES
[Fri Jan  5 21:10:32 2007] END HANDLER MESSAGES
[Fri Jan  5 21:10:32 2007] action exited with status 0
[Fri Jan  5 21:10:32 2007] completed event "button/lid LID 00000080 00000003"
Comment 2 Maxim Yegorushkin 2007-01-07 12:17:07 EST
Another observation is that acpi interrupt count in /proc/interrupts increases
when the lid is being closed and does not change when open.

May it be a (acpi) BIOS bug?

Comment 3 Konrad Rzeszutek 2007-01-08 14:47:11 EST
Have you tried FC6 kernels?
Comment 4 Maxim Yegorushkin 2007-01-08 17:05:21 EST
(In reply to comment #3)
> Have you tried FC6 kernels?

No.

I'd like to use FC6, but have another difficulty with kernel
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=219852
Comment 5 Bug Zapper 2008-04-04 01:30:05 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 13:18:10 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.